%global srcname openidc-client
%global pkgname openidc_client

%global commit 0e2ed814497fd850a76c875123a0b0cdfd12ee70
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global gitdate 20220119

Summary:        Python OpenID Connect client with token caching and management
Name:           python-%{srcname}
Version:        0.6.0
Release:        1.%{gitdate}git%{shortcommit}%{?dist}
License:        MIT
URL:            https://github.com/puiterwijk/%{name}
Source0:        %{url}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
# fix server not sending refresh token
# see https://github.com/puiterwijk/python-openidc-client/pull/10
Patch0:         0001-feat-really-support-not-receiving-refresh-token.patch

BuildArch:      noarch

%description
Python OpenID Connect client with token caching and management

%package     -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel python3-setuptools python3-requests
Requires:       python3-requests
Provides:       python3-%{srcname} = %{version}-%{release}

%description -n python3-%{srcname}
Python3 OpenID Connect client with token caching and management

%prep
%autosetup -n %{name}-%{commit} -p1

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-openidc-client
%license COPYING
%doc README.md
%{python3_sitelib}/%{pkgname}-*.egg-info/
%{python3_sitelib}/%{pkgname}/

%changelog
* Tue Nov 21 2023 Wang Guodong <gordonwwang@tencent.com> - 0.6.0-1
- initial build
